Subject: bug#36494: 27.0.50; [Proposition] New option to scroll up regardless of eob

From: Eli Zaretskii <[email-masked]>
Date: Thu, 04 Jul 2019 16:09:06 +0300

> From: [email-masked]
> Date: Thu, 04 Jul 2019 13:03:40 +0200
> 
> Most of the time I find it useful to scroll up in scroll-lock-mode also
> in the case when the end of the buffer is in sight.  With this behavior
> it's possible to scroll up until there is literally (almost) nothing
> left in the buffer.
> 
> This is in opposition to the current behavior of scroll-lock-mode which
> always switches to forward-line if the end of buffer is in sight.
> 
> Find attached a concrete realization.

How about if we bind S-DOWN and S-UP to commands that scroll to EOB
without introducing any new option?  That would mimic pages like Less
which stop at EOB with an unshifted key, but continue scrolling with a
shifted key.